curl --request GET \
--url https://api.example.com/metrics \
--header 'Authorization: Bearer <token>'{
"metrics": [
{
"id": "<string>",
"name": "<string>",
"type": "<string>",
"project_id": "<string>",
"project_name": "<string>",
"preset": true,
"description": "<string>",
"collection_type": "<string>",
"agent_name": "<string>",
"sampling_rate": 123,
"created_at": "<string>"
}
]
}Returns all metrics configured for the given project, including identifiers needed for detail and event APIs.
curl --request GET \
--url https://api.example.com/metrics \
--header 'Authorization: Bearer <token>'{
"metrics": [
{
"id": "<string>",
"name": "<string>",
"type": "<string>",
"project_id": "<string>",
"project_name": "<string>",
"preset": true,
"description": "<string>",
"collection_type": "<string>",
"agent_name": "<string>",
"sampling_rate": 123,
"created_at": "<string>"
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Project whose metrics to list.
Successful Response
Show child attributes